﻿using System;
using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace TicketID_236856_DataMemberBindingConverter
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.clubsGrid.AutoGeneratingColumn += OnAutoGeneratingColumn;
            this.clubsGrid.ItemsSource = Club.GetClubs();
        }

        private static void OnAutoGeneratingColumn(object sender, GridViewAutoGeneratingColumnEventArgs e)
        {
            var dataColumn = e.Column as GridViewDataColumn;
            if (dataColumn != null)
            {
                // Place your if logic here, that is just a demo.
                if (dataColumn.DataMemberBinding.Path.Path == "DateString")
                {
                    dataColumn.DataMemberBinding.Converter = new StringToDateTimeConverter();
                    dataColumn.DataType = typeof (DateTime);
                }
            }
        }
    }
}